<?php

namespace App\Enums;

use App\Enums\Traits\HasLabels;

enum TextAdColors: string
{
    use HasLabels;

    case White = 'white';
    case Red   = 'red';
    case Green = 'green';
    case Blue  = 'blue';

    public function labels(): string
    {
        return match ($this) {
            self::White => '白色',
            self::Red   => '紅色',
            self::Green => '綠色',
            self::Blue  => '藍色',
        };
    }
    public function colorCode(): string
    {
        return match ($this) {
            self::White => '#FFFFFF',
            self::Red   => '#FF0000',
            self::Green => '#90EE90',
            self::Blue  => '#ADD8E6',
        };
    }
}